
%global meadversion 20.1.0.4_0
%global namedversion 20.1.0.4-0-redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

# Template marker
%bcond_without mead

# Mandrel is sensitive to internal changes of the JDK so we need to make sure
# Mandrel is compatible with the installed JDK, thus we require a specific
# jdk version to be installed.
%global jdkversion %(rpm -q --qf '%%{VERSION}-%%{RELEASE}' java-11-openjdk || : )
%global jdkepoch %(rpm -q --qf '%%{EPOCH}:' java-11-openjdk || : )
%global jdkdir %{_jvmdir}/java-11-openjdk-%{jdkversion}.%{_arch}

%define maven_version 20.1.0.4-0-redhat-00002

Name:    quarkus-mandrel-java
Summary: Mandrel jars
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: GPLv2 with exceptions
Group:   Development/Java

%if %with mead
Source102: graal-sdk-20.1.0.4-0-redhat-00002-sources.jar
Source103: objectfile-20.1.0.4-0-redhat-00002.jar
Source104: jvmti-agent-base-20.1.0.4-0-redhat-00002.pom
Source105: jvmti-agent-base-20.1.0.4-0-redhat-00002.jar
Source106: svm-20.1.0.4-0-redhat-00002.pom
Source107: library-support-20.1.0.4-0-redhat-00002-sources.jar
Source108: objectfile-20.1.0.4-0-redhat-00002.pom
Source109: compiler-20.1.0.4-0-redhat-00002.pom
Source110: pointsto-20.1.0.4-0-redhat-00002.jar
Source111: pointsto-20.1.0.4-0-redhat-00002.pom
Source112: svm-driver-20.1.0.4-0-redhat-00002.jar
Source113: truffle-api-20.1.0.4-0-redhat-00002.pom
Source114: graal-sdk-20.1.0.4-0-redhat-00002.pom
Source115: library-support-20.1.0.4-0-redhat-00002.jar
Source116: compiler-20.1.0.4-0-redhat-00002-sources.jar
Source117: svm-20.1.0.4-0-redhat-00002-sources.jar
Source118: svm-20.1.0.4-0-redhat-00002.jar
Source119: svm-agent-20.1.0.4-0-redhat-00002.pom
Source120: svm-driver-20.1.0.4-0-redhat-00002-sources.jar
Source121: jvmti-agent-base-20.1.0.4-0-redhat-00002-sources.jar
Source122: objectfile-20.1.0.4-0-redhat-00002-sources.jar
Source123: truffle-api-20.1.0.4-0-redhat-00002.jar
Source124: compiler-20.1.0.4-0-redhat-00002.jar
Source125: svm-agent-20.1.0.4-0-redhat-00002.jar
Source126: library-support-20.1.0.4-0-redhat-00002.pom
Source127: graal-sdk-20.1.0.4-0-redhat-00002.jar
Source128: pointsto-20.1.0.4-0-redhat-00002-sources.jar
Source129: truffle-api-20.1.0.4-0-redhat-00002-sources.jar
Source130: svm-agent-20.1.0.4-0-redhat-00002-sources.jar
Source131: svm-driver-20.1.0.4-0-redhat-00002.pom
%endif

URL:     https://github.com/graalvm/mandrel

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: javapackages-filesystem
BuildRequires: java-11-openjdk-devel
Requires: java-11-openjdk-devel = %{jdkepoch}%{jdkversion}

%description
%{summary}.

%prep
if [ -z "%jdkversion" ]
then
    echo "rpm failed to obtain java-11-openjdk version, check BuildRequires"
    exit 11
fi

%build

%install
# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
cd %{_sourcedir}
for jar in *-%{namedversion}*.jar; do %{__cp} -p ${jar} %{buildroot}%{_javadir}/%{name}/${jar/-%{namedversion}/}; done

# add symlinks in openjdk
%{__mkdir_p} %{buildroot}%{jdkdir}/lib/svm
%{__ln_s} %{_javadir}/%{name}/library-support.jar %{buildroot}%{jdkdir}/lib/svm/
%{__ln_s} %{_javadir}/%{name}/library-support-sources.jar %{buildroot}%{_javadir}/%{name}/library-support.src.zip
%{__ln_s} %{_javadir}/%{name}/library-support.src.zip %{buildroot}%{jdkdir}/lib/svm/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/svm/builder
%{__ln_s} %{_javadir}/%{name}/svm.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/svm-sources.jar %{buildroot}%{_javadir}/%{name}/svm.src.zip
%{__ln_s} %{_javadir}/%{name}/svm.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/pointsto.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/pointsto-sources.jar %{buildroot}%{_javadir}/%{name}/pointsto.src.zip
%{__ln_s} %{_javadir}/%{name}/pointsto.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/objectfile.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/objectfile-sources.jar %{buildroot}%{_javadir}/%{name}/objectfile.src.zip
%{__ln_s} %{_javadir}/%{name}/objectfile.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/


%{__mkdir_p} %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-driver.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-driver-sources.jar %{buildroot}%{_javadir}/%{name}/svm-driver.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-driver.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base-sources.jar %{buildroot}%{_javadir}/%{name}/jvmti-agent-base.src.zip
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-agent.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-agent-sources.jar %{buildroot}%{_javadir}/%{name}/svm-agent.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-agent.src.zip %{buildroot}%{jdkdir}/lib/graalvm

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/graal-sdk.jar %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/graal-sdk-sources.jar %{buildroot}%{_javadir}/%{name}/graal-sdk.src.zip
%{__ln_s} %{_javadir}/%{name}/graal-sdk.src.zip %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/compiler.jar %{buildroot}%{jdkdir}/lib/jvmci/graal.jar
%{__ln_s} %{_javadir}/%{name}/compiler-sources.jar %{buildroot}%{_javadir}/%{name}/graal.src.zip
%{__ln_s} %{_javadir}/%{name}/graal.src.zip %{buildroot}%{jdkdir}/lib/jvmci/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/truffle
%{__ln_s} %{_javadir}/%{name}/truffle-api.jar %{buildroot}%{jdkdir}/lib/truffle
%{__ln_s} %{_javadir}/%{name}/truffle-api-sources.jar %{buildroot}%{_javadir}/%{name}/truffle-api.src.zip
%{__ln_s} %{_javadir}/%{name}/truffle-api.src.zip %{buildroot}%{jdkdir}/lib/truffle

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/svm.jar
%{_javadir}/%{name}/svm-sources.jar
%{_javadir}/%{name}/svm.src.zip
%{_javadir}/%{name}/pointsto.jar
%{_javadir}/%{name}/pointsto-sources.jar
%{_javadir}/%{name}/pointsto.src.zip
%{_javadir}/%{name}/objectfile.jar
%{_javadir}/%{name}/objectfile-sources.jar
%{_javadir}/%{name}/objectfile.src.zip
%{_javadir}/%{name}/svm-driver.jar
%{_javadir}/%{name}/svm-driver-sources.jar
%{_javadir}/%{name}/svm-driver.src.zip
%{_javadir}/%{name}/graal-sdk.jar
%{_javadir}/%{name}/graal-sdk-sources.jar
%{_javadir}/%{name}/graal-sdk.src.zip
%{_javadir}/%{name}/compiler.jar
%{_javadir}/%{name}/compiler-sources.jar
%{_javadir}/%{name}/graal.src.zip
%{_javadir}/%{name}/truffle-api.jar
%{_javadir}/%{name}/truffle-api-sources.jar
%{_javadir}/%{name}/truffle-api.src.zip
%{_javadir}/%{name}/library-support.jar
%{_javadir}/%{name}/library-support-sources.jar
%{_javadir}/%{name}/library-support.src.zip
%{_javadir}/%{name}/jvmti-agent-base.jar
%{_javadir}/%{name}/jvmti-agent-base-sources.jar
%{_javadir}/%{name}/jvmti-agent-base.src.zip
%{_javadir}/%{name}/svm-agent.jar
%{_javadir}/%{name}/svm-agent-sources.jar
%{_javadir}/%{name}/svm-agent.src.zip

%{jdkdir}/lib/svm/builder/svm.jar
%{jdkdir}/lib/svm/builder/svm.src.zip
%{jdkdir}/lib/svm/builder/pointsto.jar
%{jdkdir}/lib/svm/builder/pointsto.src.zip
%{jdkdir}/lib/svm/builder/objectfile.jar
%{jdkdir}/lib/svm/builder/objectfile.src.zip
%{jdkdir}/lib/graalvm/svm-driver.jar
%{jdkdir}/lib/graalvm/svm-driver.src.zip
%{jdkdir}/lib/jvmci/graal-sdk.jar
%{jdkdir}/lib/jvmci/graal-sdk.src.zip
%{jdkdir}/lib/jvmci/graal.jar
%{jdkdir}/lib/jvmci/graal.src.zip
%{jdkdir}/lib/truffle/truffle-api.jar
%{jdkdir}/lib/truffle/truffle-api.src.zip
%{jdkdir}/lib/svm/library-support.jar
%{jdkdir}/lib/svm/library-support.src.zip
%{jdkdir}/lib/graalvm/jvmti-agent-base.jar
%{jdkdir}/lib/graalvm/jvmti-agent-base.src.zip
%{jdkdir}/lib/graalvm/svm-agent.jar
%{jdkdir}/lib/graalvm/svm-agent.src.zip

%changelog
* Tue Jan 19 2021 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.4_0-1.redhat_00002.1
Built by CPaaS

* Tue Jan 19 2021 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0.4_0-1.redhat_00002.1
Add agents

* Tue Jan 19 2021 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.4_0-1.redhat_00002.1
Built by CPaaS

* Tue Jan 19 2021 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-7.redhat_00002.1
Built by CPaaS

* Thu Jan 07 2021 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-7.redhat_00002.1
Built by CPaaS

* Tue Jan 05 2021 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-7.redhat_00002.1
Built by CPaaS

* Mon Jan 04 2021 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-7.redhat_00002.1
Built by CPaaS

* Wed Dec 02 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-6.redhat_00002.1
Built by CPaaS

* Thu Nov 26 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-5.redhat_00002.1
Built by CPaaS

* Mon Nov 16 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-4.redhat_00001.1
Built by CPaaS

* Mon Nov 16 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-3.redhat_00001.1
Built by CPaaS

* Mon Nov 16 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-2.redhat_00001.1
Built by CPaaS

* Tue Oct 20 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.3_0-1.redhat_00001.1
Built by CPaaS

* Mon Oct 05 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-11.redhat_00005.1
Built by CPaaS

* Mon Sep 28 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-10.redhat_00005.1
Built by CPaaS

* Mon Sep 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-9.redhat_00005.1
Built by CPaaS

* Fri Sep 18 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-8.redhat_00005.1
Built by CPaaS

* Thu Sep 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-7.redhat_00004.1
Built by CPaaS

* Thu Sep 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-6.redhat_00003.1
Built by CPaaS

* Mon Sep 14 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-5.redhat_00003.1
Built by CPaaS

* Wed Sep 09 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-4.redhat_00003.1
Built by CPaaS

* Tue Sep 08 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-3.redhat_00000.1
Built by CPaaS

* Mon Sep 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-2.redhat_00000.1
Built by CPaaS

* Mon Sep 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0.2_0-1.redhat_00000.1
Built by CPaaS

* Mon Sep 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0-15.redhat_00007.1
Built by CPaaS

* Mon Sep 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0-14.redhat_00007.1
Built by CPaaS

* Mon Sep 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 20.1.0-13.redhat_00007.1
Built by CPaaS

* Thu Sep 03 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-12.redhat_00007.1
- Bump to 20.1.0.2.Final

* Tue Aug 11 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-11.redhat_00005.1
- Bump to 20.1.0.1.Final

* Fri Jul 17 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-10.redhat_00004.1
- Bump mandrel to f9289aa21c68cd8e2b32e0666a6ce3d72d5a1172

* Tue Jul 07 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-9.redhat_00003.1
- Bump mandrel to a12d97cea8b0c447424a8ce0ad0c106e4d7cdfc4

* Mon Jul 06 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-8.redhat_00002.1
- Bump mandrel to d118270409d22a0bf7498f1802765e66f61ee07b

* Fri Jun 26 2020 Severin Gehwolf <sgehwolf@redhat.com> - 20.1.0-6.redhat_00001.1
- Rebuild for updated java-11-openjdk
- Only require precise epoch:version for java-11-openjdk.

* Thu Jun 25 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-5.redhat_00001.1
- Bump java-11-openjdk version

* Mon Jun 15 2020 Severin Gehwolf <sgehwolf@redhat.com> - 20.1.0-4.redhat_00001.1
- Create symlinks with src.zip name for debug symbols
  source lookup support.

* Mon Jun 08 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-3.redhat_00001.1
- Bump java-11-openjdk version

* Fri Jun 05 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-2.redhat_00001.1
- Replace Graal mentions to Mandrel
- Change project url from oracle/graal to graalvm/mandrel

* Fri Jun 05 2020 Foivos Zakkak <fzakkak@redhat.com> - 20.1.0-1.redhat_00001.1
- Bump to Mandrel 20.1

* Fri Jun 05 2020 Foivos Zakkak <fzakkak@redhat.com> - 19.3.1-3.redhat_00011.1
- Pin JDK version

* Fri May 15 2020 Foivos Zakkak <fzakkak@redhat.com> - 19.3.1-2.redhat_00011.1
- Update to install newlly added artifacts

* Fri May 15 2020 Foivos Zakkak <fzakkak@redhat.com> - 19.3.1-1.redhat_00009.1
- Add new artifacts and install symlinks under %{_jvmdir}/java-11-openjdk

* Mon May 11 2020 Foivos Zakkak <fzakkak@redhat.com> - 19.3.1-1.redhat_00009.1
- Remove %doc LICENSE.txt and README.md

* Mon May 11 2020 Foivos Zakkak <fzakkak@redhat.com> - 19.3.1-2
- Fixes in spec file

* Fri May 08 2020 Galder Zamarreno <galder@redhat.com> - 19.3.1-1
- Initial wrapped RPM package
